# LABORATORIO PROTESIS

+ Gestionar los trabajos de un laboratorio de protesis de Ortodoncia. 
+ Se desea que el Sistema registre la  entrada del trabajo, asignándole un indentificador único. 
+ Dicho registro se transformará en una orden de trabajo para la realización de una Ortodoncia, donde figuren todos los datos del trabajo así como la fecha de entrada y de finalización. 
+ En esta Ortodoncia se reflejaran los materiales necesarios para su fabricación.

## Diagrama de Clases de Diseño

![diagrama clases diseño](https://git.institutomilitar.com/efernov/NovoDental/-/wikis/uploads/f4908f5fa40402453bedc865e4a0aa91/DIAGRAMA_CLASES-f_LAB_PROTESIS.png)
    
  **Cumplimiento de requisitos**
1. **Herencia**: Se realizará sobre `Material` y sus subtipos.
2. **Relación One-To-Many**: Relación entre `Ortodoncia` y `Material`.
3. **Método personalizado**: Sera un metodo que me devuelva todos las Ortodoncias que esten pendientes de realizar que vayan a necesitar un material que sabemos que no vamos a tener, como por ejemplo Tornillos con apertura de 10 mm. En el payload irá un objeto JSON con las propiedades necesarias para hacer la comprobación de igualdad con los materiales.
4. **Listado**: Se mostrarán los materiales necesarios para construir una ortodoncia
5. **CRUD**: Existirá la posibilidad de añadir, consultar, modificar y quitar materiales de la Ortodoncia. 
      + Crear -> Con el boton de Nuevo Material se accede a un desplegable para elegir el tipo de material. En base al material elegido se activaran las pantallas adecuadas para rellenar los datos particulares de cada material, dandoles entrada en la base de datos.  
      + Read  -> La consulta se produce en la propia Ortodoncia, en la que figura la lista de materiales utilizados  
      + Update -> La modificación de los datos de un material se puede realizar pulsando en el boton del lapicero que se encuentra a la derecha de la fila del material en la Ortodoncia.  
      + Delete -> Pulsando en el boton del cubo de basura que se encuentra al lado del lapicero y en la misma linea del material, se puede borrar cualquier material.  
6. **URLs** del proyecto:
   1. Repositorio proyecto: [https://git.institutomilitar.com/efernov/NovoDental](https://git.institutomilitar.com/efernov/NovoDental)
   1. Librería: [https://github.com/efernov/novodental-libreria](https://github.com/efernov/novodental-libreria)
7. **Despliegue** en Internet: 
   1. API: 
   1. Web: [https://novodental.netlify.app/](https://novodental.netlify.app/)


## Interfaz de usuario

### Ortodoncia

Figura 1:  
![fIGURA 1](https://git.institutomilitar.com/efernov/NovoDental/-/wikis/uploads/329c5fc8e33bfa03900598c94a1ca036/hoja_de_trabajo.png)

### Alambre

Figura 2:  
![Figura 2](https://git.institutomilitar.com/efernov/NovoDental/-/wikis/uploads/ee135c02dfaa5c0ca24320d2bac8cba2/alambre.png)

### Tornillo

Figura 3:
![Figura 3](https://git.institutomilitar.com/efernov/NovoDental/-/wikis/uploads/567dea723534ba1402e77250ccd78eb2/tornillo.png)


  
